<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:param name="appdata"/>
	
	<xsl:variable name="image-location"><xsl:value-of select="$appdata"/>/ShadedBubble/</xsl:variable>
	
	<xsl:template match="message">
		<div class="KopeteMessage" style="padding-bottom:0px;">
				<xsl:attribute name="id">
					<xsl:value-of select="@id" />
				</xsl:attribute>
				<table>
					<xsl:attribute name="style">
						<xsl:text>
							padding:0px; border-spacing:0px; empty-cells:show;
						</xsl:text>
							<xsl:choose>
								<xsl:when test="@direction='0'">
									<xsl:text>
										width:90%;
									</xsl:text>
								</xsl:when>
								<xsl:when test="@direction='1'">
									<xsl:text>
										width:90%;
									</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>
										width:100%;
									</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="align">
						<xsl:choose>
							<xsl:when test="@direction='0'">
								<xsl:text>
									left
								</xsl:text>
							</xsl:when>
							<xsl:when test="@direction='1'">
								<xsl:text>
									right
								</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>
									right
								</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@direction='0'">
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tlb.png) no-repeat bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tcb.png) repeat-x bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>trb.png) no-repeat bottom left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>clb.png) repeat-y top right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td style="background-color:#7589bf;">
									<div style="position:relative; top:0px; left:0px; width:105%;">
										<div style="width:75px; overflow:hidden; spacing:0px; margin-left:4px; font-size:xx-small; float:left;">
											<img>
												<xsl:attribute name="src">
													<xsl:choose>
														<xsl:when test="from/contact/@userPhoto">
															<xsl:text>
																data:image/png;base64,
															</xsl:text>
															<xsl:value-of select="from/contact/@userPhoto" />
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="$image-location"/>
															them.png
														</xsl:otherwise>
													</xsl:choose>
												</xsl:attribute>
												<xsl:attribute name="style">
													<xsl:text>
														margin-left:8px; width:50px; height:61px;
													</xsl:text>
												</xsl:attribute>
											</img>
											<br />
											<xsl:value-of select="from/contact/metaContactDisplayName/@text"/>
										</div>
										<div>
											<span style="color:yellow; white-space:nowrap;">
												<xsl:value-of select="from/contact/contactDisplayName/@text"/> &#064; <xsl:value-of select="@time"/>
											</span>
											<hr style="border:1px dashed; width:90%; margin:2px;" />
											<p style="margin-top:5px; width:100%;">
												<xsl:value-of disable-output-escaping="yes" select="body"/>
											</p>
										</div>
									</div>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>crb.png) repeat-y top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>blb.png) no-repeat top right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>right:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bcb.png) repeat-x top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>brb.png) no-repeat top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
					</xsl:when>
					<xsl:when test="@direction='1'">
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tly.png) no-repeat bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tcy.png) repeat-x bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>try.png) no-repeat bottom left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>cly.png) repeat-y top right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td style="background-color:#f6efa5;">
									<div style="position:relative; top:0px; left:0px; width:105%;">
										<div style="width:75px; overflow:hidden; spacing:0px; margin-left:4px; font-size:xx-small; float:left;">
											<img>
												<xsl:attribute name="src">
													<xsl:choose>
														<xsl:when test="from/contact/@userPhoto">
															<xsl:text>
																data:image/png;base64,
															</xsl:text>
															<xsl:value-of select="from/contact/@userPhoto" />
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="$image-location"/>
															me.png
														</xsl:otherwise>
													</xsl:choose>
												</xsl:attribute>
												<xsl:attribute name="style">
													<xsl:text>
														margin-left:8px; width:50px; height:61px;
													</xsl:text>
												</xsl:attribute>
											</img>
											<br />
											<xsl:value-of select="from/contact/metaContactDisplayName/@text"/>
										</div>
										<div>
											<span style="color:green; white-space:nowrap;">
												<xsl:value-of select="from/contact/contactDisplayName/@text"/> &#064; <xsl:value-of select="@time"/>
											</span>
											<hr style="border:1px dashed; width:90%; margin:2px;" />
											<p style="margin-top:5px;">
												<xsl:value-of disable-output-escaping="yes" select="body"/>
											</p>
										</div>
									</div>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>cry.png) repeat-y top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bly.png) no-repeat top right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>right:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bcy.png) repeat-x top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bry.png) no-repeat top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tlg.png) no-repeat bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tcg.png) repeat-x bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>trg.png) no-repeat bottom left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>clg.png) repeat-y top right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td style="background-color:#b0f6a5;">
									<div style="position:relative; top:0px; left:0px; width:105%;">
										<div style="width:75px; overflow:hidden; spacing:0px; margin-left:4px; font-size:xx-small; float:left;">
											<img>
												<xsl:attribute name="src">
															<xsl:value-of select="$image-location"/>
															info.png
												</xsl:attribute>
												<xsl:attribute name="style">
													<xsl:text>
														margin-left:8px; width:50px; height:61px;
													</xsl:text>
												</xsl:attribute>
											</img>
											<br />
											Info
										</div>
										<div>
											<span style="color:red; white-space:nowrap;">
												Info &#064; <xsl:value-of select="@time"/>
											</span>
											<hr style="border:1px dashed; width:90%; margin:2px;" />
											<p style="margin-top:5px;">
												<xsl:value-of disable-output-escaping="yes" select="body"/>
											</p>
										</div>
									</div>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>crg.png) repeat-y top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>blg.png) no-repeat top right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>right:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bcg.png) repeat-x top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>brg.png) no-repeat top left;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
				</table>
		</div>
	</xsl:template>
</xsl:stylesheet>
